Bug 1675043 - golang-googlecode-log4go: FTBFS in Fedora rawhide/f30
Summary: golang-googlecode-log4go: FTBFS in Fedora rawhide/f30
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-log4go
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:36 UTC by Fedora Release Engineering
Modified: 2019-08-13 19:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:36 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:37 UTC, Fedora Release Engineering
no flags Details
state.log (745 bytes, text/plain)
2019-02-11 18:37 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:36:57 UTC
golang-googlecode-log4go failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32397451


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-googlecode-log4go at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-googlecode-log4go will be orphaned. Before branching of Fedora 31,
golang-googlecode-log4go will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:36:59 UTC
Created attachment 1530341 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:37:01 UTC
Created attachment 1530342 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:37:02 UTC
Created attachment 1530343 [details]
state.log

Comment 4 Jakub Čajka 2019-02-13 18:53:53 UTC
Caused by not vetable tests:
+ go test code.google.com/p/log4go
BUILDSTDERR: # code.google.com/p/log4go
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/socklog.go:44:5: Fprint call has possible formatting directive %q
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/socklog.go:50:5: Fprint call has possible formatting directive %q
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/log4go_test.go:327:2: Fprintln call has possible formatting directive %T
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/log4go_test.go:328:2: Fprintln call has possible formatting directive %t
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/log4go_test.go:330:2: Fprintln call has possible formatting directive %d
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/log4go_test.go:335:2: Fprintln call has possible formatting directive %T
BUILDSTDERR: ../../BUILDROOT/golang-googlecode-log4go-0-0.12.hgc3294304d93f.fc30.x86_64/usr/share/gocode/src/code.google.com/p/log4go/log4go_test.go:337:2: Fprintln call has possible formatting directive %T
FAIL	code.google.com/p/log4go [build failed]

Comment 5 Elliott Sales de Andrade 2019-03-04 01:34:48 UTC
Been broken since F28 (bug 1555832); probably be retired (as it appear unneeded), because Google Code is dead.

Comment 6 Fedora Release Engineering 2019-04-26 23:27:39 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Fedora Update System 2019-04-30 12:18:20 UTC
golang-googlecode-log4go-0-0.13.hgc3294304d93f.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94295cf33a

Comment 9 Fedora Update System 2019-05-01 01:44:07 UTC
golang-googlecode-log4go-0-0.13.hgc3294304d93f.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94295cf33a

Comment 10 Ben Cotton 2019-08-13 16:59:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 11 Ben Cotton 2019-08-13 19:25:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.